import request from '@/utils/request'

// 初始化 项目名称
export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_项目名称_查询数据_按时间排序'
    }
  })
}
// 查询机床
export function initMachine(projectNum) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_机床名称_查询数据2',
      param: `项目流水号=${projectNum}`
    }
  })
}
// 查询总计划
export function searchtable(projectNum, machineValue) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '项目计划管理_项目总计划_查询数据',
      param: '项目流水号_check=1&项目流水号=' + projectNum + '&机床流水号_check=1&机床流水号=' + machineValue
    }
  })
}
// 查询分计划
export function searchtable2(machineValue, type) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '项目计划管理_项目详细计划_查询数据',
      param: '机床流水号=' + machineValue + '&计划类型=' + type
    }
  })
}
